Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.metaabm
Enum SBorderRule

    java.lang.Object
      java.lang.Enum<SBorderRule>
          org.metaabm.SBorderRule

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SBorderRule>, org.eclipse.emf.common.util.Enumerator

    public enum SBorderRule

extends java.lang.Enum<SBorderRule>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration ' SBorder Rule', and utility methods for working with them.

Author:
  Miles Parker
See Also:
  `MetaABMPackage.getSBorderRule()`

Enum Constant Summary
`BOUNCY_LITERAL` The 'Bouncy' literal object.
`PERIODIC_LITERAL` The 'Periodic' literal object.
`STICKY_LITERAL` The 'Sticky' literal object.
`STRICT_LITERAL` The 'Strict' literal object.

Field Summary
`static int` | `BOUNCY` The 'Bouncy' literal value.
`static int` | `PERIODIC` The 'Periodic' literal value.
`static int` | `STICKY` The 'Sticky' literal value.
`static int` | `STRICT` The 'Strict' literal value.
`static java.util.List<SBorderRule>` | `VALUES` A public read-only list of all the 'SBorder Rule' enumerators.

Method Summary
`static SBorderRule` | `get(int value)` Returns the 'SBorder Rule' literal with the specified integer value.
`static SBorderRule` | `get(java.lang.String literal)` Returns the 'SBorder Rule' literal with the specified literal value.
`static SBorderRule` | `getByName(java.lang.String name)` Returns the 'SBorder Rule' literal with the specified name.
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static SBorderRule` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SBorderRule[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STICKY_LITERAL

    public static final SBorderRule STICKY_LITERAL

  The 'Sticky' literal object.

  See Also:
    `STICKY`

### STRICT_LITERAL

    public static final SBorderRule STRICT_LITERAL

  The 'Strict' literal object.

  See Also:
    `STRICT`

### BOUNCY_LITERAL

    public static final SBorderRule BOUNCY_LITERAL

  The 'Bouncy' literal object.

  See Also:
    `BOUNCY`

### PERIODIC_LITERAL

    public static final SBorderRule PERIODIC_LITERAL

  The 'Periodic' literal object.

  See Also:
    `PERIODIC`

Field Detail

### STICKY

    public static final int STICKY

  The 'Sticky' literal value.

  If the meaning of 'Sticky' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STICKY_LITERAL`, Constant Field Values

### STRICT

    public static final int STRICT

  The 'Strict' literal value.

  If the meaning of 'Strict' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STRICT_LITERAL`, Constant Field Values

### BOUNCY

    public static final int BOUNCY

  The 'Bouncy' literal value.

  If the meaning of 'Bouncy' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BOUNCY_LITERAL`, Constant Field Values

### PERIODIC

    public static final int PERIODIC

  The 'Periodic' literal value.

  If the meaning of 'Periodic' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PERIODIC_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<SBorderRule> VALUES

  A public read-only list of all the 'SBorder Rule' enumerators.

Method Detail

### values

    public static SBorderRule[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SBorderRule c : SBorderRule.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SBorderRule valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static SBorderRule get(java.lang.String literal)

  Returns the 'SBorder Rule' literal with the specified literal value.

### getByName

    public static SBorderRule getByName(java.lang.String name)

  Returns the 'SBorder Rule' literal with the specified name.

### get

    public static SBorderRule get(int value)

  Returns the 'SBorder Rule' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SBorderRule>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD